% Copyright (C) 2003 Csaba Szepesvari
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

% -*- texinfo -*-
% @deftypefn {Function File} {[@var{x},@var{v}] =} mcint_stat (@var{fun},@var{dens_pdf},@var{prop_pdf},@var{prop_rnd},@var{N})
% mcint_stat computes statistics of estimates returned by mcint.
% Returns the estimated mean and variance.
%
% Example - comparing
%
% [x,v] = impint_stat ('cos','uniform_pdf','normal5_pdf','normal5_rnd',100, 100);
% [x,v] = impint_stat ('cos','uniform_pdf','normal01_pdf','normal01_rnd',100,100)
% [x,v] = impint_stat ('cos','uniform_pdf','uniform_pdf','uniform01_rnd',100,100)
% @end deftypefn

% Author: Csaba Szepesvari
% Keywords: 

function [x,v] = impint_stat(fun,dens_pdf,prop_pdf,prop_rnd,N,M)

means = ones(M,1);
for k=1:M
  means(k) = impint(fun,dens_pdf,prop_pdf,prop_rnd,N);
end

x = mean(means);
v = var(means);
fprintf('%d (%d)', x,v);

